%
% anyremote configuration file for Totem management (Server-mode Bemused emulation)
% Prerequisites: amixer/pactl utility, Bemused client installed on cell phone
%

% STATUS need_improvement
% TODO load totem with playlist ready
% XTEST no
% SOUND mixer
% ENV no

GuiAppName=Totem
GuiAppBinary=totem
GuiAppRun= A=`ps -ef|grep totem|grep -v totem-plugin-viewer|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$A" = "x" ]; then echo NOK; else echo OK; fi
GuiAppIcon=totem.png
GuiAppType=Application
GuiAppProtocols=Bemused
GuiAppDesc=Totem is the official movie player of the GNOME desktop environment based on xine-lib or GStreamer.

[Protocol]=Bemused

(Init)=\
	Include($(CfgDir)/Utils/aliases-bemused.cfg);\
	Macro(BEMUSED_SETUP);\
	Macro(SETUP_DEFAULT_MIXER);
	
(Connect)=\
	Exec(P=`ps -ef|grep totem|grep -v totem-plugin-viewer|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$P" = "x" ]; then totem& fi);

EXIT=Exec(totem --quit)
FFWD=Exec(totem --seek-fwd)
INF2=Send(string,INF2ACK);Send(bytes,128,0,0,0,128,0,0,0,1,0,0);Send(string,Totem);Send(bytes,0,0)
INFO=Send(string,INFOACK);Send(bytes,128,0,0,0,128,0,0,0,1,0,0);Send(string,Totem)
NEXT=Exec(totem --next)
PAUS=Exec(totem --pause)
PLAY=Exec(totem --play-pause)
PREV=Exec(totem --previous)
RWND=Exec(totem --seek-bwd)
STOP=Exec(totem --pause)
VOLM($$)=Make(var,default_mixer_value,by_value,$(Param)%);Macro(DEFAULT_VOLUME_SET)

GVOL=Macro(DEFAULT_GVOL);
FADE=Macro(DEFAULT_FADE);
PLEN=Macro(DEFAULT_PLEN);
PLST=Macro(DEFAULT_PLST);

%REPT=Exec()
%SHFL=Exec()
%SEEK=
%SLCT=

[End]
